# Makefile for Apple MPW build environment (currently PPC only)

MAKEFILE     = Makefile
MondoBuild = #{MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
SDL_INC = 
	-i ":include:" 
	-i ":include:SDL:" 
	-i ":src:" 
	-i ":src:audio:" 
	-i ":src:audio:macrom:" 
	-i ":src:video:" 
	-i ":src:video:maccommon:" 
	-i ":src:video:macdsp:" 
	-i ":src:video:macrom:" 
	-i ":src:events:" 
	-i ":src:joystick:" 
	-i ":src:cdrom:" 
	-i ":src:cdrom:macos:" 
	-i ":src:thread:" 
	-i ":src:thread:generic:" 
	-i ":src:timer" 
	-i ":src:timer:macos" 
	-i ":src:endian:" 
	-i ":src:file:"
STUB_INC = 
	-i :include:
SymPPC      = #-sym on
ObjDirPPC   = :obj:

SDL_CFLAGS  = {SDL_INC} {SymPPC} -enum int -w 35 -d HAVE_OPENGL
STUB_CFLAGS = {STUB_INC} {SymPPC} -enum int

SDLOBJS  = 
	"{ObjDirPPC}SDL.c.x" 
	"{ObjDirPPC}SDL_error.c.x" 
	"{ObjDirPPC}SDL_fatal.c.x" 
	"{ObjDirPPC}SDL_getenv.c.x" 
	"{ObjDirPPC}SDL_loadso.c.x" 
	"{ObjDirPPC}SDL_audio.c.x" 
	"{ObjDirPPC}SDL_audiocvt.c.x" 
	"{ObjDirPPC}SDL_audiomem.c.x" 
	"{ObjDirPPC}SDL_mixer.c.x" 
	"{ObjDirPPC}SDL_wave.c.x" 
	"{ObjDirPPC}SDL_romaudio.c.x" 
	"{ObjDirPPC}SDL_RLEaccel.c.x" 
	"{ObjDirPPC}SDL_blit.c.x" 
	"{ObjDirPPC}SDL_blit_0.c.x" 
	"{ObjDirPPC}SDL_blit_1.c.x" 
	"{ObjDirPPC}SDL_blit_A.c.x" 
	"{ObjDirPPC}SDL_blit_N.c.x" 
	"{ObjDirPPC}SDL_stretch.c.x" 
	"{ObjDirPPC}SDL_gamma.c.x" 
	"{ObjDirPPC}SDL_bmp.c.x" 
	"{ObjDirPPC}SDL_cursor.c.x" 
	"{ObjDirPPC}SDL_pixels.c.x" 
	"{ObjDirPPC}SDL_surface.c.x" 
	"{ObjDirPPC}SDL_video.c.x" 
	"{ObjDirPPC}SDL_yuv.c.x" 
	"{ObjDirPPC}SDL_yuv_sw.c.x" 
	"{ObjDirPPC}SDL_macevents.c.x" 
	"{ObjDirPPC}SDL_macmouse.c.x" 
	"{ObjDirPPC}SDL_romvideo.c.x" 
	"{ObjDirPPC}SDL_dspvideo.c.x" 
	"{ObjDirPPC}SDL_macgl.c.x" 
	"{ObjDirPPC}SDL_macwm.c.x" 
	"{ObjDirPPC}SDL_active.c.x" 
	"{ObjDirPPC}SDL_events.c.x" 
	"{ObjDirPPC}SDL_keyboard.c.x" 
	"{ObjDirPPC}SDL_mouse.c.x" 
	"{ObjDirPPC}SDL_resize.c.x" 
	"{ObjDirPPC}SDL_joystick.c.x" 
	"{ObjDirPPC}SDL_sysjoystick.c.x" 
	"{ObjDirPPC}SDL_quit.c.x" 
	"{ObjDirPPC}SDL_cdrom.c.x" 
	"{ObjDirPPC}SDL_syscdrom.c.x" 
	"{ObjDirPPC}SDL_thread.c.x" 
	"{ObjDirPPC}SDL_syscond.c.x" 
	"{ObjDirPPC}SDL_sysmutex.c.x" 
	"{ObjDirPPC}SDL_syssem.c.x" 
	"{ObjDirPPC}SDL_systhread.c.x" 
	"{ObjDirPPC}SDL_timer.c.x" 
	"{ObjDirPPC}SDL_MPWtimer.c.x" 
	"{ObjDirPPC}SDL_endian.c.x" 
	"{ObjDirPPC}SDL_rwops.c.x" 
	"{ObjDirPPC}SDL_cpuinfo.c.x"

STUBOBJS  = 
	"{ObjDirPPC}SDL_main.c.x"

# This is used to build a dynamic library of SDL
SDL  {MondoBuild} directories SDLmain.o {SDLOBJS} #SDL.o
	PPCLink 
		-o ":lib:{Targ}" {SymPPC} 
		{SDLOBJS} 
		-@export ":src:main:macos:exports:SDL.x" 
		-t 'shlb' 
		-c '????' 
		-xm s 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{SharedLibraries}MathLib" 
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}PPCCRuntime.o" 
		"{PPCLibraries}PPCToolLibs.o" 
		"{PPCLibraries}CursorDevicesGlue.o" 
		"{SharedLibraries}InputSprocketLib" 
		"{SharedLibraries}DrawSprocketLib" 
		"{SharedLibraries}DialogsLib" 
		"{SharedLibraries}OpenGLLibraryStub"

# This is used to build a static library of SDL
SDL.o  directories {MondoBuild} {SDLOBJS} "{ObjDirPPC}SDL_main.c.x"
	PPCLink 
		-o ":lib:{Targ}" {SymPPC} 
		{SDLOBJS} "{ObjDirPPC}SDL_main.c.x" 
		"{PPCLibraries}CursorDevicesGlue.o" 
		-c '????' 
		-xm l

# This is used to build the static stub library of SDL
SDLmain.o  {MondoBuild} {STUBOBJS}
	PPCLink 
		-o :lib:{Targ} {SymPPC} 
		{STUBOBJS} 
		-c '????' 
		-xm l

# This is used to create the directories needed for build
directories 
	if !`Exists obj` ; NewFolder obj ; end
	if !`Exists lib` ; NewFolder lib ; end


# The SDL library objects

"{ObjDirPPC}SDL.c.x"  {MondoBuild} ":src:SDL.c"
	{PPCC} ":src:SDL.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_error.c.x"  {MondoBuild} ":src:SDL_error.c"
	{PPCC} ":src:SDL_error.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_fatal.c.x"  {MondoBuild} ":src:SDL_fatal.c"
	{PPCC} ":src:SDL_fatal.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_getenv.c.x"  {MondoBuild} ":src:SDL_getenv.c"
	{PPCC} ":src:SDL_getenv.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_loadso.c.x"  {MondoBuild} ":src:SDL_loadso.c"
	{PPCC} ":src:SDL_loadso.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_audio.c.x"  {MondoBuild} ":src:audio:SDL_audio.c"
	{PPCC} ":src:audio:SDL_audio.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_audiocvt.c.x"  {MondoBuild} ":src:audio:SDL_audiocvt.c"
	{PPCC} ":src:audio:SDL_audiocvt.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_audiomem.c.x"  {MondoBuild} ":src:audio:SDL_audiomem.c"
	{PPCC} ":src:audio:SDL_audiomem.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_mixer.c.x"  {MondoBuild} ":src:audio:SDL_mixer.c"
	{PPCC} ":src:audio:SDL_mixer.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_wave.c.x"  {MondoBuild} ":src:audio:SDL_wave.c"
	{PPCC} ":src:audio:SDL_wave.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_romaudio.c.x"  {MondoBuild} ":src:audio:macrom:SDL_romaudio.c"
	{PPCC} ":src:audio:macrom:SDL_romaudio.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_RLEaccel.c.x"  {MondoBuild} ":src:video:SDL_RLEaccel.c"
	{PPCC} ":src:video:SDL_RLEaccel.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_blit.c.x"  {MondoBuild} ":src:video:SDL_blit.c"
	{PPCC} ":src:video:SDL_blit.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_blit_0.c.x"  {MondoBuild} ":src:video:SDL_blit_0.c"
	{PPCC} ":src:video:SDL_blit_0.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_blit_1.c.x"  {MondoBuild} ":src:video:SDL_blit_1.c"
	{PPCC} ":src:video:SDL_blit_1.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_blit_A.c.x"  {MondoBuild} ":src:video:SDL_blit_A.c"
	{PPCC} ":src:video:SDL_blit_A.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_blit_N.c.x"  {MondoBuild} ":src:video:SDL_blit_N.c"
	{PPCC} ":src:video:SDL_blit_N.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_stretch.c.x"  {MondoBuild} ":src:video:SDL_stretch.c"
	{PPCC} ":src:video:SDL_stretch.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_gamma.c.x"  {MondoBuild} ":src:video:SDL_gamma.c"
	{PPCC} ":src:video:SDL_gamma.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_bmp.c.x"  {MondoBuild} ":src:video:SDL_bmp.c"
	{PPCC} ":src:video:SDL_bmp.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_cursor.c.x"  {MondoBuild} ":src:video:SDL_cursor.c"
	{PPCC} ":src:video:SDL_cursor.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_pixels.c.x"  {MondoBuild} ":src:video:SDL_pixels.c"
	{PPCC} ":src:video:SDL_pixels.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_surface.c.x"  {MondoBuild} ":src:video:SDL_surface.c"
	{PPCC} ":src:video:SDL_surface.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_video.c.x"  {MondoBuild} ":src:video:SDL_video.c"
	{PPCC} ":src:video:SDL_video.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_yuv.c.x"  {MondoBuild} ":src:video:SDL_yuv.c"
	{PPCC} ":src:video:SDL_yuv.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_yuv_sw.c.x"  {MondoBuild} ":src:video:SDL_yuv_sw.c"
	{PPCC} ":src:video:SDL_yuv_sw.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_macevents.c.x"  {MondoBuild} ":src:video:maccommon:SDL_macevents.c"
	{PPCC} ":src:video:maccommon:SDL_macevents.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_macmouse.c.x"  {MondoBuild} ":src:video:maccommon:SDL_macmouse.c"
	{PPCC} ":src:video:maccommon:SDL_macmouse.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_dspvideo.c.x"  {MondoBuild} ":src:video:macdsp:SDL_dspvideo.c"
	{PPCC} ":src:video:macdsp:SDL_dspvideo.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_romvideo.c.x"  {MondoBuild} ":src:video:macrom:SDL_romvideo.c"
	{PPCC} ":src:video:macrom:SDL_romvideo.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_macgl.c.x"  {MondoBuild} ":src:video:maccommon:SDL_macgl.c"
	{PPCC} ":src:video:maccommon:SDL_macgl.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_macwm.c.x"  {MondoBuild} ":src:video:maccommon:SDL_macwm.c"
	{PPCC} ":src:video:maccommon:SDL_macwm.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_active.c.x"  {MondoBuild} ":src:events:SDL_active.c"
	{PPCC} ":src:events:SDL_active.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_events.c.x"  {MondoBuild} ":src:events:SDL_events.c"
	{PPCC} ":src:events:SDL_events.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_keyboard.c.x"  {MondoBuild} ":src:events:SDL_keyboard.c"
	{PPCC} ":src:events:SDL_keyboard.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_mouse.c.x"  {MondoBuild} ":src:events:SDL_mouse.c"
	{PPCC} ":src:events:SDL_mouse.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_resize.c.x"  {MondoBuild} ":src:events:SDL_resize.c"
	{PPCC} ":src:events:SDL_resize.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_joystick.c.x"  {MondoBuild} ":src:joystick:SDL_joystick.c"
	{PPCC} ":src:joystick:SDL_joystick.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_sysjoystick.c.x"  {MondoBuild} ":src:joystick:macos:SDL_sysjoystick.c"
	{PPCC} ":src:joystick:macos:SDL_sysjoystick.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_quit.c.x"  {MondoBuild} ":src:events:SDL_quit.c"
	{PPCC} ":src:events:SDL_quit.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_cdrom.c.x"  {MondoBuild} ":src:cdrom:SDL_cdrom.c"
	{PPCC} ":src:cdrom:SDL_cdrom.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_syscdrom.c.x"  {MondoBuild} ":src:cdrom:macos:SDL_syscdrom.c"
	{PPCC} ":src:cdrom:macos:SDL_syscdrom.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_thread.c.x"  {MondoBuild} ":src:thread:SDL_thread.c"
	{PPCC} ":src:thread:SDL_thread.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_syscond.c.x"  {MondoBuild} ":src:thread:generic:SDL_syscond.c"
	{PPCC} ":src:thread:generic:SDL_syscond.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_sysmutex.c.x"  {MondoBuild} ":src:thread:generic:SDL_sysmutex.c"
	{PPCC} ":src:thread:generic:SDL_sysmutex.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_syssem.c.x"  {MondoBuild} ":src:thread:generic:SDL_syssem.c"
	{PPCC} ":src:thread:generic:SDL_syssem.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_systhread.c.x"  {MondoBuild} ":src:thread:generic:SDL_systhread.c"
	{PPCC} ":src:thread:generic:SDL_systhread.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_timer.c.x"  {MondoBuild} ":src:timer:SDL_timer.c"
	{PPCC} ":src:timer:SDL_timer.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_MPWtimer.c.x"  {MondoBuild} ":src:timer:macos:SDL_MPWtimer.c"
	{PPCC} ":src:timer:macos:SDL_MPWtimer.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_endian.c.x"  {MondoBuild} ":src:endian:SDL_endian.c"
	{PPCC} ":src:endian:SDL_endian.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_rwops.c.x"  {MondoBuild} ":src:file:SDL_rwops.c"
	{PPCC} ":src:file:SDL_rwops.c" -o {Targ} {SDL_CFLAGS}

"{ObjDirPPC}SDL_cpuinfo.c.x"  {MondoBuild} ":src:cpuinfo:SDL_cpuinfo.c"
	{PPCC} ":src:cpuinfo:SDL_cpuinfo.c" -o {Targ} {SDL_CFLAGS}


# Objects for the stub library

"{ObjDirPPC}SDL_main.c.x"  {MondoBuild} :src:main:macos:SDL_main.c
	{PPCC} :src:main:macos:SDL_main.c -o {Targ} {STUB_CFLAGS}



