/* DisplayManager.h - Menu suppor class to 
   the Display menu functions for the 
   Macintosh OS X SDL port of Atari800
   Mark Grebe <atarimac@cox.net>
   
   Based on the Preferences pane of the
   TextEdit application.

*/
#import <Cocoa/Cocoa.h>

@interface DisplayManager : NSObject
{
    IBOutlet id doubleSizeItem;
	IBOutlet id scale1xItem;
	IBOutlet id scale2xItem;
	IBOutlet id scale3xItem;
	IBOutlet id scale4xItem;
    IBOutlet id fullscreenItem;
    IBOutlet id widthModeNarrowItem;
    IBOutlet id widthModeDefaultItem;
    IBOutlet id widthModeFullItem;
    IBOutlet id displayFpsItem;
	IBOutlet id scaleModeNormalItem;
	IBOutlet id scaleModeScanlineItem;
	IBOutlet id scaleModeSmoothItem;
    IBOutlet id grabMouseItem;
}
+ (DisplayManager *)sharedInstance;
- (void)setDoublesizeMenu:(int)scale;
- (void)setWidthmodeMenu:(int)widthMode;
- (void)setGrabmouseMenu:(int)mouseOn;
- (void)setFpsMenu:(int)fpsOn;
- (void)setScaleModeMenu:(int)scaleMode;
- (IBAction)doubleSize:(id)sender;
- (IBAction)fullScreen:(id)sender;
- (IBAction)grabMouse:(id)sender;
- (IBAction)displayFps:(id)sender;
- (IBAction)scaleMode:(id)sender;
- (IBAction)screenshot:(id)sender;
- (IBAction)widthMode:(id)sender;
@end
